import java.io.FileReader;
import java.util.Arrays;
import java.util.List;

import javax.script.ScriptEngine;
import javax.script.ScriptEngineManager;

public class JSONTest {
	public static void main(String[] args) throws Exception {
		List<String> tests = Arrays.asList("data/spec-00.json",
				"data/spec-01.json", "data/spec-02.json", "data/spec-03.json");
		List<String> implementations = Arrays.asList("test/abdera.test.js",
				"test/spring.test.js");

		ScriptEngineManager mgr = new ScriptEngineManager();

		for (String impl : implementations) {
			for (String test : tests) {
				try {
					ScriptEngine jsEngine = mgr.getEngineByName("JavaScript");
					System.out.println("\n --> Starting test from '" + impl
							+ "' : " + test);
					jsEngine.eval(new FileReader(test));
					jsEngine.eval(new FileReader(impl));
				} catch (Exception e) {
					System.out.println("Implementation threw an exception, doh");
				}
			}
		}
	}
}
